<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./css/reset.css" />
    <link rel="stylesheet" href="./css/style.css" />
    <link href="https://fonts.googleapis.com/css2?family=Ubuntu&display=swap" rel="stylesheet">

    <script
      src="https://kit.fontawesome.com/7effe4df3b.js"
      crossorigin="anonymous"
    ></script>
    <title>Sign-up Form</title>
  </head>
  <body>
    <header class="top-ribbon">
      <a href="#" class="logo"><h1 class="logo-heading">Journey</h1></a>
      <div class="header-right-part">
        <div class="social-icons">
          
          <svg aria-hidden="true" focusable="false" data-prefix="far" data-icon="calendar-alt" class="svg-inline--fa fa-calendar-alt fa-w-14 social-icon" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path fill="currentColor" d="M148 288h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12zm108-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm96 0v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm-96 96v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm-96 0v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm192 0v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm96-260v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V112c0-26.5 21.5-48 48-48h48V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h128V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h48c26.5 0 48 21.5 48 48zm-48 346V160H48v298c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"></path></svg>
          
          <svg aria-hidden="true" focusable="false" data-prefix="far" data-icon="compass" class="svg-inline--fa fa-compass fa-w-16 social-icon" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 496 512"><path fill="currentColor" d="M347.94 129.86L203.6 195.83a31.938 31.938 0 0 0-15.77 15.77l-65.97 144.34c-7.61 16.65 9.54 33.81 26.2 26.2l144.34-65.97a31.938 31.938 0 0 0 15.77-15.77l65.97-144.34c7.61-16.66-9.54-33.81-26.2-26.2zm-77.36 148.72c-12.47 12.47-32.69 12.47-45.16 0-12.47-12.47-12.47-32.69 0-45.16 12.47-12.47 32.69-12.47 45.16 0 12.47 12.47 12.47 32.69 0 45.16zM248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm0 448c-110.28 0-200-89.72-200-200S137.72 56 248 56s200 89.72 200 200-89.72 200-200 200z"></path></svg>
          
          <svg aria-hidden="true" focusable="false" data-prefix="far" data-icon="envelope-open" class="svg-inline--fa fa-envelope-open fa-w-16 last-social-icon" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="currentColor" d="M494.586 164.516c-4.697-3.883-111.723-89.95-135.251-108.657C337.231 38.191 299.437 0 256 0c-43.205 0-80.636 37.717-103.335 55.859-24.463 19.45-131.07 105.195-135.15 108.549A48.004 48.004 0 0 0 0 201.485V464c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V201.509a48 48 0 0 0-17.414-36.993zM464 458a6 6 0 0 1-6 6H54a6 6 0 0 1-6-6V204.347c0-1.813.816-3.526 2.226-4.665 15.87-12.814 108.793-87.554 132.364-106.293C200.755 78.88 232.398 48 256 48c23.693 0 55.857 31.369 73.41 45.389 23.573 18.741 116.503 93.493 132.366 106.316a5.99 5.99 0 0 1 2.224 4.663V458zm-31.991-187.704c4.249 5.159 3.465 12.795-1.745 16.981-28.975 23.283-59.274 47.597-70.929 56.863C336.636 362.283 299.205 400 256 400c-43.452 0-81.287-38.237-103.335-55.86-11.279-8.967-41.744-33.413-70.927-56.865-5.21-4.187-5.993-11.822-1.745-16.981l15.258-18.528c4.178-5.073 11.657-5.843 16.779-1.726 28.618 23.001 58.566 47.035 70.56 56.571C200.143 320.631 232.307 352 256 352c23.602 0 55.246-30.88 73.41-45.389 11.994-9.535 41.944-33.57 70.563-56.568 5.122-4.116 12.601-3.346 16.778 1.727l15.258 18.526z"></path></svg>
        </div>
        <div class="header-login-section">
          <p class="header-login-text">
            Welcome, <a class="header-login-link" href="#">Log In</a> or<a class="header-login-link" href=""> Sign Up</a>
          </p>
        </div>
      </div>
    </header>
    <main>
        <form class="form-container" action="/action_page.php" method="post">
          <div class="signin-options flex-container">
            <p class="signin-option-item">Sign Up</p>
            <a href="#" class="signin-option-link">Log-in</a>
          </div>
          <section class="social-login-container flex-container">
            <a href="#" class="social-login-items facebook-item transition-class"><i class="social-login-icon fab fa-facebook-f"></i> <p class="social-login-text">Facebook</p></a>
            <a href="#" class="social-login-items google-plus-item transition-class"><i class="social-login-icon fab fa-google-plus-g"></i><p class="social-login-text">Google</p></a>
          </section>
          <p class="or-word">or</p>
          <section class="form-contents">
            <input
              class="form-field"
              type="text"
              placeholder="Name"
              name="name"
              required="true"
              oninvalid="this.setCustomValidity('Please Enter Your Name')"
              oninput="setCustomValidity('')"
            />
            <input
              class="form-field"
              type="text"
              placeholder="Last Name"
              name="last-name"
              oninvalid="this.setCustomValidity('Please Enter Your last Name')"
              oninput="setCustomValidity('')"
            />
            <input
              class="form-field"
              type="email"
              placeholder="Email"
              name="email"
              required="true"
              oninvalid="this.setCustomValidity('Please Enter valid email')"
              oninput="setCustomValidity('')"
            />
            <input
              class="form-field"
              type="password"
              placeholder="Choose Password"
              name="password"
              required="true"
              oninvalid="this.setCustomValidity('Please Enter Your Password')"
              oninput="setCustomValidity('')"
            />
            <input
              class="form-field"
              type="password"
              placeholder="Confirm Password"
              name="password-confirmation"
              required="true"
              oninvalid="this.setCustomValidity('Please Confirm Your Password')"
              oninput="setCustomValidity('')"
            />
            <div class="checkbox-container">
            <p class="TC-text">Agree with our</p> <a class="TC-link"href="#"> Terms & Conditions</a>
              
            <input class="tc-agreement-checkbox" type="checkbox" name="TC-agreement" required = "true" oninvalid="this.setCustomValidity ('Please Accept our T&C Before you Proceed')"oninput="setCustomValidity('')"/>
            <span class="custom-checkbox"></span>
            </div>
            <input class="submit-button" type="submit" value="Create Account" />

          </section>
        </form>
      </section>
    </main>
  </body>
</html>
